# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-15 17:12
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import oscar.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0056_auto_20171014_0910'),
    ]

    operations = [
        migrations.CreateModel(
            name='OnProductAvailableDiscountInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(blank=True, choices=[('Percentage', "Discount is a percentage off of the product's value"), ('Absolute', "Discount is a fixed amount off of the product's value")], max_length=128, verbose_name='Type')),
                ('value', oscar.models.fields.PositiveDecimalField(blank=True, decimal_places=2, max_digits=12, null=True, verbose_name='Value')),
                ('hours_count', models.PositiveIntegerField(verbose_name='Время действия с начала акции (в часах)')),
            ],
            options={
                'verbose_name': 'Акция при поступлении товара в продажу',
                'verbose_name_plural': 'Акции при поступлении товара в продажу',
            },
        ),
        migrations.RemoveField(
            model_name='category',
            name='display_in_catalogue_menu_order',
        ),
        migrations.RemoveField(
            model_name='product',
            name='display_in_catalogue_menu_order',
        ),
        migrations.AddField(
            model_name='onproductavailablediscountinfo',
            name='product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='on_product_available_discount_info', to='catalogue.Product'),
        ),
    ]
